<html>
	<head>
		<title>HTML Tables and Forms</title>
	</head>
	<body>
		<!-- Semantic tags for code readability/organised code -->
		<header>
			<h1>HTML Tables and Forms</h1>
		</header>
		
		<main>
			<section>
				<h2>HTML Entities</h2>
				<p><em>Reserved Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code)</em></p>

				<table border="1">
					<!-- Used to group table header content -->
					<thead>
						<tr>
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							<td>&#8369</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<tr>
							<td>&amp</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark (apostrophe)</td>
						</tr>

						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>

						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper Tilde</td>
						</tr>

						<tr>
							<td>&Tilde;</td>
							<td>tilde</td>
							<td>Tilde</td>
						</tr>

					</tbody>

					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>
				</table>
			</section>

			<section>
				<h2>HTML Forms</h2>
				<p><em>Input elements that make up a form.</em></p>
				
				<form action="https://www.google.com/">
					<label for="full_name">Full Name:</label><br>
					<input type="text" name="full_name" id="full_name" required autocomplete="off"><br><br>
					<!-- name and id attribute is for CSS purpose too
						name attribute for radio input checkbox input-->
					<!-- extras cud put 'required' and 'autocomplete' -->
					<label for="birth_date">Birth Date:</label><br>
					<input type="date" name="birth_date"id="birth_date" required>

					<br><br><label for="age">Age:</label><br>
					<input type="number" name="age"id="age" required><br><br>

					<label for="gender">Gender:</label><br>
					<select name="gender"id="gender"><br>
						<option selected disabled hidden></option>
						<option value="male">Male</option>
						<option value="female">Female</option>
						<option value="rather_not_say">Rather Not Say</option>
					</select>
					<br><br>

					<label for="notes">Notes:</label><br>
					<textarea name="notes" id="notes" rows="10" cols="50"></textarea><br><br>

					<label>New User:</label><br>

					<input type="radio" name="new_user" id="user-type1" value="no">
					<label for="user-type1">No</label><br>

					<input type="radio" name="new_user" id="user-type2" value="yes">
					<label for="user-type2">Yes</label><br>

					<input type="radio" name="new_user" id="user-type3" value="admin">
					<label for="user-type3">Admin</label>

					<br><br>

					<label>Role:</label><br>
					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">Developer</label><br>

					<input type="checkbox" name="role2" id="role2" value="student">
					<label for="role2">Student</label><br>

					<input type="checkbox" name="role3" id="role3" value="Manager">
					<label for="role3">Manager</label>



					<br><br>

					<button type="submit">Submit</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<button type="reset">Reset</button>
				</form>
			</section>
		</main>
	</body>
</html>